> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Number Pools

> Get list of number pools, optionally filtered by location



## OpenAPI

````yaml /api-reference/phone-system/openapi.json get /phone-system/number-pools
openapi: 3.0.0
info:
  title: Phone System API
  description: Documentation for Phone System API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Phone Numbers
    description: Manage active phone numbers for a location
  - name: Number Pools
    description: Manage number pools for call routing
paths:
  /phone-system/number-pools:
    get:
      tags:
        - Number Pools
      summary: List Number Pools
      description: Get list of number pools, optionally filtered by location
      operationId: getNumberPoolList
      parameters:
        - name: locationId
          required: false
          in: query
          example: ve9EPM428h8vShlRW1KT
          description: Location ID to filter pools
          schema:
            type: string
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      responses:
        '200':
          description: Successfully retrieved number pools list
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/NumberPoolDto'
                  total:
                    type: number
                    example: 5
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - bearer:
            - numberpools.read
components:
  schemas:
    NumberPoolDto:
      type: object
      properties:
        id:
          type: string
          example: ve9EPM428h8vShlRW1KT
        name:
          type: string
          example: Sales Team Pool
        locationId:
          type: string
        numbers:
          type: array
          items:
            type: object
            properties:
              phoneNumber:
                type: string
              friendlyName:
                type: string
        forwardingNumber:
          type: string
        callRecording:
          type: boolean
        isActive:
          type: boolean
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access Token or Private Integration Token

````